JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
juce_ARACommon.h File Reference

## Classes
class | ARAFactoryWrapper
| Encapsulates an ARAFactory pointer and makes sure that it remains in a valid state for the lifetime of the ARAFactoryWrapper object. More...
struct | ARAFactoryResult
| Represents the result of AudioPluginFormatManager::createARAFactoryAsync(). More...

## Namespaces
namespace | ARA

## Functions
template<typename Obj , typename Member , typename... Ts>
constexpr Obj | makeARASizedStruct (Member Obj::*member, Ts &&... ts)